Less secure apps for Gmail

According to Gmail announcement it will stop the use of Less Secure Apps for login. As far as I know ERPNext depends on this setting to allow using Gmail account for email.
What is the effect to ERPNext email from the deprecated Gmail less secure app?
What alternative settings should we use for the integration of Gmail account?

Allow less secure apps: ON
On May 30, 2022, this setting will no longer be available.
2 Likes

I believe the correct approach here is to use an application-specific password from your security settings. I’ve never allowed less secure apps but this has always worked for me.

1 Like

Any pointers on how to use this? Never heard Gmail has this feature.

It’s under the “Security” tab under my account settings. I assume it’s available in all accounts, but I couldn’t say for sure. I have it in both my organization’s corporate account and my generic gmail account.

1 Like

Found it!! interesting. Didn’t know Google has this too. Thanks for this interesting bit of info, makes life a lot simpler now.

I use version 12 and the “standard” direction from ERPNext for email account is to activate less secure apps.

Gmail will only work if you allow access for less secure apps in Gmail settings. Read this for details

I will try to find the app specific password and set the email account with it.

Yes, it says that in v13 too. The less secure apps approach still worked, but Google has been urging people to switch to oauth or application-specific passwords for at least a few years now. They’ve been saying they’ll phase out less secure apps for a while.

https://support.google.com/accounts/answer/6010255?hl=en

For complete steps to use application specific password, see below
https://medium.com/@hasan197/erpnext-outgoing-email-setup-using-gmail-a49b612c24fc

1 Like

Updated docs and made a PSA : [PSA] GMail authentication using legacy method will stop working

1 Like